
Redmine - Defect #6966

Records of Forums are remained, deleting project

2010-11-24 03:44 - ko simo

Status: Closed Start date: 2010-11-24

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Forums Estimated time: 0.00 hour

Target version: 1.0.4   

Resolution: Fixed Affected version: 1.0.3

Description

Deleting project, the following is not removed.

The Records of attachements table, container_type = 'message'.

The attached files on Forum.

--

Redmine version           v.1.0.2 and trunk, (I confirmd)

Ruby version              1.8.7 (i686-linux)

RubyGems version          1.3.5

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Application root          /var/rm_trunk

Environment               development

Database adapter          mysql

Database schema version   20101114115359

Associated revisions

Revision 4431 - 2010-11-27 13:42 - Jean-Philippe Lang

Fixed: messages attachments/watchers are not deleted when deleting a project or forum (#6966).

History

#1 - 2010-11-24 10:21 - Felix Schäfer

So attachments to forum messages aren't deleted if you delete the containing project, is that the error you are seeing? Can you confirm files attached

to wiki pages or issues are deleted if you delete the containing project?

#2 - 2010-11-24 16:27 - ko simo

Yes.

Only attachments to forum messages aren't deleted.

Issues, wiki pages, files are deleted.

#3 - 2010-11-27 13:34 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 1.0.4

- Affected version (unused) set to 1.0.3

- Resolution set to Fixed

- Affected version set to 1.0.3

Fixed in r4431.

#4 - 2010-11-27 15:23 - Jean-Philippe Lang

- Status changed from Resolved to Closed
https://www.redmine.org/projects/redmine/repository/svn/revisions/4431


Merged in 1.0-stable.

#5 - 2011-04-15 18:25 - Etienne Massip

- Category set to Forums
